%define module AppConfig
%define name	perl-%{module}
%define	version	1.63
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:  	Perl5 modules for reading configuration
License:	GPL
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/AppConfig/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
BuildRequires:	perl-File-HomeDir
buildarch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
AppConfig has a powerful but easy to use module for parsing configuration
files. It also has a simple and efficient module for parsing command line
arguments.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -fr %{buildroot}

%files
%defattr(-,root,root) 
%doc README
%{perl_vendorlib}/AppConfig
%{perl_vendorlib}/AppConfig.pm
%{_mandir}/*/*

%changelog
* Fri Dec 22 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-12-22 22:55:14 (101843)
- add BuildRequires: perl-File-HomeDir


* Tue Dec 19 2006 Guillaume Rousse <guillomovitch@mandriva.org>
+ 2006-12-19 12:38:41 (99352)
Import perl-AppConfig

* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.63-1mdv2007.0
- new version
- spe cleanup

* Fri Mar 31 2006 Buchan Milne <bgmilne@mandriva.org> 1.56-2mdk
- Rebuild
- use mkrel

* Tue May 04 2004 Michael Scherer <misc@mandrake.org> 1.56-1mdk
- remove unused Tag
- 1.56
- rpmbuildupdate aware
 

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.52-7mdk
- Remove Packager tag in package.
- mv rm buildroot to %%install from %%prep
- %%makeinstall_std
- macroize

* Wed Jul 16 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.52-6mdk
- fix buildrequires (Michael Scherer)

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.52-5mdk
- fix build
- rebuild for new auto{prov,req}

* Tue Jan 21 2003 Antoine Ginies <aginies@mandrakesoft.com> 1.52-4mdk
- fix requires error

* Fri Oct 18 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.52-3mdk
- build with perl 5.8
- add perl version define

* Thu Jul 11 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.52-2mdk
- Build on 8.2 with perl 5.6

* Thu Apr 04 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.52-1mdk
- first release for Mandrakesoft

